%global pypi_name rpds-py
%global srcname rpds_py

Name:           python-%{pypi_name}
Version:        0.23.1
Release:        %mkrel 1
Summary:        Python bindings to Rust's persistent data structures (rpds)
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rpds-py/
Source:         %{pypi_source}
Patch:          cargo.patch
Patch:          rpds_py-license-fix.patch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  cargo-rpm-macros

%description
Python bindings to the Rust rpds crate for persistent data structures.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Python bindings to the Rust rpds crate for persistent data structures.

%prep
%autosetup -p1 -n %{srcname}-%{version}
%cargo_prep

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rpds

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sun Feb 23 2025 wally <wally> 0.23.1-1.mga10
+ Revision: 2151682
- new version 0.23.1
- rebuild for python3.13

* Sat May 18 2024 papoteur <papoteur> 0.18.1-1.mga10
+ Revision: 2064743
- new version 0.18.1

* Thu Apr 04 2024 papoteur <papoteur> 0.18.0-1.mga10
+ Revision: 2054273
- new version 0.18.0

* Sat Jan 20 2024 papoteur <papoteur> 0.16.2-1.mga10
+ Revision: 2033013
- new version 0.16.2

* Mon Dec 25 2023 wally <wally> 0.13.2-3.mga10
+ Revision: 2021470
- rebuild for py3.12

* Wed Dec 06 2023 wally <wally> 0.13.2-2.mga10
+ Revision: 2013567
- build using %%build_rustflags

* Tue Dec 05 2023 papoteur <papoteur> 0.13.2-1.mga10
+ Revision: 2013405
- imported package python-rpds-py

